time-compat-1.9.3: Compatibility package for time

Safe Haskell | Trustworthy
Language | Haskell2010

Data.Time.Clock.System.Compat

# Documentation

systemEpochDay :: Day #

data SystemTime #

Constructors

MkSystemTime |

Fields

- systemSeconds :: !Int64
- systemNanoseconds :: !Word32

#### Instances

Instances details

Eq SystemTime |
Instance details Defined in Data.Time.Clock.Internal.SystemTime Methods (==) :: SystemTime -> SystemTime -> Bool (/=) :: SystemTime -> SystemTime -> Bool
Ord SystemTime |
Instance details Defined in Data.Time.Clock.Internal.SystemTime Methods compare :: SystemTime -> SystemTime -> Ordering (<) :: SystemTime -> SystemTime -> Bool (<=) :: SystemTime -> SystemTime -> Bool (>) :: SystemTime -> SystemTime -> Bool (>=) :: SystemTime -> SystemTime -> Bool max :: SystemTime -> SystemTime -> SystemTime min :: SystemTime -> SystemTime -> SystemTime
Show SystemTime |
Instance details Defined in Data.Time.Clock.Internal.SystemTime Methods showsPrec :: Int -> SystemTime -> ShowS show :: SystemTime -> String showList :: [SystemTime] -> ShowS
NFData SystemTime |
Instance details Defined in Data.Time.Clock.Internal.SystemTime Methods rnf :: SystemTime -> ()

truncateSystemTimeLeapSecond :: SystemTime -> SystemTime #

getSystemTime :: IO SystemTime #

systemToUTCTime :: SystemTime -> UTCTime #

utcToSystemTime :: UTCTime -> SystemTime #

systemToTAITime :: SystemTime -> AbsoluteTime #